petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSpacePolynomialSetSymmetric

Set whether a function space is a space of symmetric polynomials

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpacePolynomialSetSymmetric(PetscSpace sp, PetscBool sym)

### Input Parameters

| sp | - the function space object
| sym | - flag for symmetric polynomials

### Options Database

-petscspace_poly_sym <bool> -Whether to use symmetric polynomials

### See Also

PetscSpacePolynomialGetSymmetric(), PetscSpacePolynomialGetTensor(), PetscSpaceSetDegree(), PetscSpaceSetNumVariables()

### Level

intermediate

### Location

src/dm/dt/space/impls/poly/spacepoly.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages